Package org.firebirdsql.gds.impl

## Interface GDSFactoryPlugin

All Known Implementing Classes:
  `BaseGDSFactoryPlugin`, `EmbeddedGDSFactoryPlugin`, `LocalGDSFactoryPlugin`, `NativeGDSFactoryPlugin`, `OOGDSFactoryPlugin`, `WireGDSFactoryPlugin`

    public interface GDSFactoryPlugin

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<?>` `getConnectionClass()`
`FbDatabaseFactory` `getDatabaseFactory()`
`java.lang.String` `getDatabasePath​(java.lang.String jdbcUrl)`
`java.lang.String` `getDatabasePath​(java.lang.String server, java.lang.Integer port, java.lang.String path)`
`java.lang.String` `getDefaultProtocol()`
`java.lang.String` `getPluginName()`
`java.lang.String[]` `getSupportedProtocols()`
`java.lang.String[]` `getTypeAliases()`
`java.lang.String` `getTypeName()`

### Method Detail

#### getPluginName

    java.lang.String getPluginName()

#### getTypeName

    java.lang.String getTypeName()

#### getTypeAliases

    java.lang.String[] getTypeAliases()

#### getConnectionClass

    java.lang.Class<?> getConnectionClass()

#### getDefaultProtocol

    java.lang.String getDefaultProtocol()

#### getSupportedProtocols

    java.lang.String[] getSupportedProtocols()

#### getDatabaseFactory

    FbDatabaseFactory getDatabaseFactory()

#### getDatabasePath

    java.lang.String getDatabasePath​(java.lang.String server,
                                     java.lang.Integer port,
                                     java.lang.String path)
                              throws GDSException

Throws:
  `GDSException`

#### getDatabasePath

    java.lang.String getDatabasePath​(java.lang.String jdbcUrl)
                              throws GDSException

Throws:
  `GDSException`